curl --request POST \
--url https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "US",
"fiat_currency_symbol": "USD",
"account_name": "<string>",
"payment_method": "WIRE",
"bank_account_details": {
"name": "<string>",
"wire_details": {
"account_number": "<string>",
"routing_number": "<string>",
"type": "CHECKING",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
}
}
},
"beneficiary_type": "FIRST_PARTY",
"recipient": {
"business": {
"business_name": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"email": "<string>",
"tax_id": "<string>",
"phone": "<string>"
},
"name": "<string>",
"email": "<string>",
"tax_id": "<string>",
"recipient_type": "INDIVIDUAL",
"phone": "<string>"
},
"request_id": "<string>"
}
'import requests
url = "https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions"
payload = {
"country": "US",
"fiat_currency_symbol": "USD",
"account_name": "<string>",
"payment_method": "WIRE",
"bank_account_details": {
"name": "<string>",
"wire_details": {
"account_number": "<string>",
"routing_number": "<string>",
"type": "CHECKING",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
}
}
},
"beneficiary_type": "FIRST_PARTY",
"recipient": {
"business": {
"business_name": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"email": "<string>",
"tax_id": "<string>",
"phone": "<string>"
},
"name": "<string>",
"email": "<string>",
"tax_id": "<string>",
"recipient_type": "INDIVIDUAL",
"phone": "<string>"
},
"request_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country: 'US',
fiat_currency_symbol: 'USD',
account_name: '<string>',
payment_method: 'WIRE',
bank_account_details: {
name: '<string>',
wire_details: {
account_number: '<string>',
routing_number: '<string>',
type: 'CHECKING',
address: {
street_line_1: '<string>',
city: '<string>',
postal_code: '<string>',
country: '<string>',
region_code: '<string>',
street_line_2: '<string>'
}
}
},
beneficiary_type: 'FIRST_PARTY',
recipient: {
business: {
business_name: '<string>',
address: {
street_line_1: '<string>',
city: '<string>',
postal_code: '<string>',
country: '<string>',
region_code: '<string>',
street_line_2: '<string>'
},
email: '<string>',
tax_id: '<string>',
phone: '<string>'
},
name: '<string>',
email: '<string>',
tax_id: '<string>',
recipient_type: 'INDIVIDUAL',
phone: '<string>'
},
request_id: '<string>'
})
};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/payment-instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"country": "US",
"fiat_currency_symbol": "USD",
"account_name": "<string>",
"payment_method": "WIRE",
"bank_account_details": {
"name": "<string>",
"wire_details": {
"account_number": "<string>",
"routing_number": "<string>",
"type": "CHECKING",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
}
}
},
"beneficiary_type": "FIRST_PARTY",
"recipient": {
"business": {
"business_name": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"email": "<string>",
"tax_id": "<string>",
"phone": "<string>"
},
"name": "<string>",
"email": "<string>",
"tax_id": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"region_code": "<string>",
"street_line_2": "<string>"
},
"recipient_type": "INDIVIDUAL",
"phone": "<string>"
},
"id": "<string>"
}Create Payment Instructions
Create a payment instruction for a given identity
Authorizations
Bearer authentication with an API token
Path Parameters
Identity id to create payment instructions for
Body
Country of the bank account (ISO 3166-1 alpha-2).
US "US"
Currency symbol of the fiat transaction
USD "USD"
Friendly name for the payment instructions
Payment method
WIRE "WIRE"
Bank account details
Show child attributes
Show child attributes
Whether these instructions pay the sender (FIRST_PARTY) or someone else (THIRD_PARTY).
FIRST_PARTY, THIRD_PARTY "FIRST_PARTY"
Recipient information.
- business
- individual
Show child attributes
Show child attributes
Client-provided idempotency key (UUID). Must be unique per request and included on every call to prevent duplicate payment instructions from being created. Re-submitting the same request_id returns the original response without creating a duplicate.
Response
Success
Payment instructions for a conversion.
Country of the bank account (ISO 3166-1 alpha-2).
US "US"
Currency symbol of the fiat transaction
USD "USD"
Friendly name for the payment instructions (e.g., "John's Chase Account")
Payment method for the fiat transaction
WIRE "WIRE"
Bank account details
Show child attributes
Show child attributes
Whether these instructions pay the sender (FIRST_PARTY) or someone else (THIRD_PARTY).
FIRST_PARTY, THIRD_PARTY "FIRST_PARTY"
Recipient information.
- business
- individual
Show child attributes
Show child attributes
Payment instructions ID
Related topics
Product updatesCreate Redemption InstructionsCreate Mint InstructionsList Payment InstructionsGet Payment Instructions